Package org.kapott.hbci.GV_Result

## Class GVRKUms.BTag

- java.lang.Object
- - org.kapott.hbci.GV_Result.GVRKUms.BTag

All Implemented Interfaces:
  `java.io.Serializable`

Enclosing class:
  GVRKUms

    public static class GVRKUms.BTag
    extends java.lang.Object
    implements java.io.Serializable

Enthält alle Transaktionen eines einzelnen Buchungstages. Dazu gehören das Datum des jeweiligen Tages, der Anfangs- und Endsaldo sowie die Menge aller dazugehörigen Umsatzeilen

See Also:
  Serialized Form

### Field Summary

Fields
`java.lang.String` `counter` Nummer des Kontoauszuges (optional)
`Saldo` `end` Saldo am Ende des Buchungstages
`char` `endtype` Art des Endsaldos (siehe `starttype`)
`java.util.List<GVRKUms.UmsLine>` `lines` Liste der einzelnen Buchungen dieses Tages (Instanzen von `GVRKUms.UmsLine`)
`Konto` `my` Konto, auf das sich die Umsatzdaten beziehen (Kundenkonto).
`Saldo` `start` Saldo zu Beginn des Buchungstages
`char` `starttype` Art des Saldos.

### Constructor Summary

Constructors
`BTag()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addLine​(GVRKUms.UmsLine line)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### my

    public Konto my

Konto, auf das sich die Umsatzdaten beziehen (Kundenkonto). Einige Kreditinstitute geben fehlerhafte Kontoauszüge zurück, was zur Folge haben kann, dass dieses Feld nicht richtig belegt ist. Tritt ein solcher Fall ein, so kann es vorkommen, dass von dem `Konto`-Objekt nur das Feld `number` gefüllt ist, und zwar mit den Informationen, die das Kreditinstitut zur Identifizierung dieses Kontos zurückgibt.

Normalerweise bestehen diese Informationen aus BLZ und Kontonummer, die dann auch korrekt in das `Konto`-Objekt eingetragen werden. Liegen diese Informationen aber gar nicht oder in einem falschen bzw. unbekannten Format vor, so werden diese Daten komplett in das `number`-Feld geschrieben.

#### counter

    public java.lang.String counter

Nummer des Kontoauszuges (optional)

#### start

    public Saldo start

Saldo zu Beginn des Buchungstages

#### starttype

    public char starttype

Art des Saldos. `M` = Anfangssaldo; `F` = Zwischensaldo

#### lines

    public java.util.List<GVRKUms.UmsLine> lines

Liste der einzelnen Buchungen dieses Tages (Instanzen von `GVRKUms.UmsLine`)

#### end

    public Saldo end

Saldo am Ende des Buchungstages

#### endtype

    public char endtype

Art des Endsaldos (siehe `starttype`)

### Constructor Detail

#### BTag

    public BTag()

### Method Detail

#### addLine

    public void addLine​(GVRKUms.UmsLine line)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`